package org.jboss.byteman.agent;

import static org.junit.Assert.assertEquals;

import java.lang.reflect.Method;

import org.junit.Test;

public class TransformContextTest {
    @Test
	public void getKeyTriggerMethodName() throws Exception {
    	RuleScript ruleScript = new RuleScript("testRule", "test.Target", false, false, "doSomething", null, null, "", 0, "");
    	TransformContext tc = new TransformContext(ruleScript, null, null, null);
        String key = "test.Target#doSomething#(Ljava/lang/String;I)V";

        Method method = tc.getClass().getDeclaredMethod("getKeyTriggerMethodName", String.class);
        method.setAccessible(true);

        String expected = "doSomething";
        Object actual = method.invoke(tc, key);

        assertEquals(expected, actual);
    }

}
